MojoMojo::Controller::JSON(3)

NAME
MojoMojo::Controller::JSON - Various functions that return JSON data.

SYNOPSIS
This is the Mojo for various functions that return JSON data.

DESCRIPTION
This controller dispatches various JSON data to AJAX methods in MojoMojo. These methods will be called indirectly through JavaScript functions.

ACTIONS

  tagsearch (json/tagsearch)
Backend which handles jQuery autocomplete requests for tag.

  container_set_default_width (json/container_set_default_width)
Store width in session variable container_default_width.

  container_maximize_width (json/container_maximize_width)
Set or unset session variable maximize_width, which is used to toggle maximum width when displaying the page.

  auto
Set default view

AUTHOR
Sachin Sebastian <sachinjsk at cpan.org>

Robert Litwiniec <linio at wonder.pl>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.